#ifndef BISON_PARSER_H
# define BISON_PARSER_H

#ifndef YYSTYPE
typedef union {
	char		qchar;
	char		*text;
	long		number;
	double		real;
	argDef		memArg;
	funcArgs	arglist;
	signatureDef	*optsignature;
	throwArgs	*throwlist;
	codeBlock	*codeb;
	valueDef	value;
	valueDef	*valp;
	optFlags	optflags;
	optFlag		flag;
	scopedNameDef	*scpvalp;
	fcallDef	fcall;
	int		boolean;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	TK_DOC	257
# define	TK_EXPORTEDDOC	258
# define	TK_MAKEFILE	259
# define	TK_ACCESSCODE	260
# define	TK_VARCODE	261
# define	TK_POSTINITCODE	262
# define	TK_CPPCODE	263
# define	TK_MODCODE	264
# define	TK_TYPECODE	265
# define	TK_PREPYCODE	266
# define	TK_PYCODE	267
# define	TK_COPYING	268
# define	TK_MAPPEDTYPE	269
# define	TK_CODEBLOCK	270
# define	TK_IF	271
# define	TK_END	272
# define	TK_NAME	273
# define	TK_PATHNAME	274
# define	TK_STRING	275
# define	TK_VIRTUALCATCHERCODE	276
# define	TK_VIRTUALCODE	277
# define	TK_METHODCODE	278
# define	TK_MEMBERCODE	279
# define	TK_FROMTYPE	280
# define	TK_TOTYPE	281
# define	TK_TOSUBCLASS	282
# define	TK_INCLUDE	283
# define	TK_OPTINCLUDE	284
# define	TK_IMPORT	285
# define	TK_HEADERCODE	286
# define	TK_MODHEADERCODE	287
# define	TK_TYPEHEADERCODE	288
# define	TK_EXPHEADERCODE	289
# define	TK_MODULE	290
# define	TK_CLASS	291
# define	TK_STRUCT	292
# define	TK_PUBLIC	293
# define	TK_PROTECTED	294
# define	TK_PRIVATE	295
# define	TK_SIGNALS	296
# define	TK_SLOTS	297
# define	TK_BOOL	298
# define	TK_SHORT	299
# define	TK_INT	300
# define	TK_LONG	301
# define	TK_FLOAT	302
# define	TK_DOUBLE	303
# define	TK_CHAR	304
# define	TK_VOID	305
# define	TK_PYOBJECT	306
# define	TK_PYTUPLE	307
# define	TK_PYLIST	308
# define	TK_PYDICT	309
# define	TK_PYCALLABLE	310
# define	TK_PYSLICE	311
# define	TK_VIRTUAL	312
# define	TK_ENUM	313
# define	TK_UNSIGNED	314
# define	TK_SCOPE	315
# define	TK_LOGICAL_OR	316
# define	TK_CONST	317
# define	TK_STATIC	318
# define	TK_SIPSIGNAL	319
# define	TK_SIPSLOT	320
# define	TK_SIPRXCON	321
# define	TK_SIPRXDIS	322
# define	TK_SIPSLOTCON	323
# define	TK_SIPSLOTDIS	324
# define	TK_NUMBER	325
# define	TK_REAL	326
# define	TK_TYPEDEF	327
# define	TK_NAMESPACE	328
# define	TK_TIMELINE	329
# define	TK_PLATFORMS	330
# define	TK_FEATURE	331
# define	TK_LICENSE	332
# define	TK_EXPOSE	333
# define	TK_QCHAR	334
# define	TK_TRUE	335
# define	TK_FALSE	336
# define	TK_OPERATOR	337
# define	TK_THROW	338
# define	TK_QOBJECT	339


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_H */
